Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.file
Class FileTestUtils

    java.lang.Object
      org.apache.torque.generator.file.FileTestUtils

    public class FileTestUtils

extends Object

Constructor Summary
`FileTestUtils()`

Method Summary
`static void` | `assertFileListEquals(Fileset fileset, File... expected)` Checks that the file list of the Fileset contains all the expected paths and no other paths.
`static void` | `assertFileListEquals(List<File> fileList, File... expected)` Checks that a file list contains all the expected paths and no other paths.
`static Set<String>` | `createSetFrom(String... content)` Creates as set containing the Strings in content.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileTestUtils

    public FileTestUtils()

Method Detail

### assertFileListEquals

    public static void assertFileListEquals(Fileset fileset,
                                            File... expected)
                                     throws IOException

  Checks that the file list of the Fileset contains all the expected paths and no other paths.

  Parameters:
    `fileset` - The Fileset which file list should be checked.
    `expectedPaths` - the paths which should be in the fileset.
  Throws:
    `IOException` - if Fileset#getFiles() throws it.

### assertFileListEquals

    public static void assertFileListEquals(List<File> fileList,
                                            File... expected)

  Checks that a file list contains all the expected paths and no other paths.

  Parameters:
    `fileList` - The list of files which should be checked.
    `expectedPaths` - the paths which should be in the file list.

### createSetFrom

    public static Set<String> createSetFrom(String... content)

  Creates as set containing the Strings in content.

  Parameters:
    `content` - The Strings which should be in the set.
  Returns:
    the Set containing all the strings.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.